public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/unison/
Date: Tue, 22 Feb 2022 01:41:07 +0000 (UTC)	[thread overview]
Message-ID: <1645494019.916d5d52de676833b5006e68a5d00b3dccb1f8c0.sam@gentoo> (raw)

commit:     916d5d52de676833b5006e68a5d00b3dccb1f8c0
Author:     Dennis Eisele <kernlpanic <AT> dennis-eisele <DOT> de>
AuthorDate: Tue Feb 22 00:09:05 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Feb 22 01:40:19 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=916d5d52

net-misc/unison: bump version to 2.51.5 and bump EAPI to 8

Closes: https://bugs.gentoo.org/818247
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Dennis Eisele <kernlpanic <AT> dennis-eisele.de>
Closes: https://github.com/gentoo/gentoo/pull/24294
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-misc/unison/Manifest             |   1 +
 net-misc/unison/unison-2.51.5.ebuild | 105 +++++++++++++++++++++++++++++++++++
 2 files changed, 106 insertions(+)

diff --git a/net-misc/unison/Manifest b/net-misc/unison/Manifest
index 0e186b02e774..e20b41c58602 100644
--- a/net-misc/unison/Manifest
+++ b/net-misc/unison/Manifest
@@ -1,2 +1,3 @@
 DIST unison-2.51.3_p20201127.tar.gz 1374770 BLAKE2B 83c133f2cb99e10fac96efde333291a671edab5eb45dd6dcf56cb25845385425353a5f413ab752361124ec7bbac21daf3f813d5539b21229d943cf7f0bfae2fd SHA512 4b978a5e3df620317b7a9214054d64f319d09c5617b07ddf3cf76b18c6888841ce791f7b6a4ef70c64b146e3e4f25a5904584fb576703c2de4b17cfcffa8905a
 DIST unison-2.51.4_rc2.tar.gz 1377263 BLAKE2B d403e019f0757f66be5157cff97596c9dae1306a5ba33af27fe55a69fb1ae50d6ef6db54403d14a0afb27cb7a0ebe198021d6cdf58430c530575fc934c837703 SHA512 c61f827490036fbe3074ce5d970e6b4e981a4fde848c307c817f51d73f450d4b5d437503f5392bd2b654121547919b9724112383f71736a9e0e7b308bc3e99b6
+DIST unison-2.51.5.tar.gz 1385407 BLAKE2B cdad4683518ec9c7c43d9107d8533fa393a68f602782d96ddba345df07b1ef70cc2ebf7dfd205fc7535349553a5e0d3c2931099bde99e5c736bc815ccdd294f8 SHA512 4a31df4d043d2b7552438f9fc2056098b9a35cd1cae1a037083cb56d91ec6fec0c3164de73914ff46cb8821f78c1594f48bf0334a94d9d706cd82ce3a6b70440

diff --git a/net-misc/unison/unison-2.51.5.ebuild b/net-misc/unison/unison-2.51.5.ebuild
new file mode 100644
index 000000000000..9e1573deb3a6
--- /dev/null
+++ b/net-misc/unison/unison-2.51.5.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop xdg-utils
+
+DESCRIPTION="Two-way cross-platform file synchronizer"
+HOMEPAGE="https://www.seas.upenn.edu/~bcpierce/unison/"
+SRC_URI="https://github.com/bcpierce00/unison/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris"
+IUSE="debug doc gtk +ocamlopt threads"
+
+# ocaml version so we are sure it has ocamlopt use flag
+BDEPEND="dev-lang/ocaml:=[ocamlopt?]
+	doc? ( app-text/dvipsk
+		app-text/ghostscript-gpl
+		dev-texlive/texlive-latex )"
+DEPEND="gtk? ( dev-ml/lablgtk:2=[ocamlopt?] )"
+RDEPEND="gtk? ( dev-ml/lablgtk:2=[ocamlopt?]
+	|| ( net-misc/x11-ssh-askpass net-misc/ssh-askpass-fullscreen ) )
+	>=app-eselect/eselect-unison-0.4"
+
+DOCS=( CONTRIB INSTALL NEWS README ROADMAP.txt TODO.txt )
+
+src_prepare() {
+	default
+	# https://github.com/bcpierce00/unison/issues/416
+	sed -e "/ifdef\ HEVEA/,/endif/d" -i doc/Makefile || die
+	# https://github.com/bcpierce00/unison/pull/415
+	sed -e "/myName/d" -i doc/docs.ml || die
+}
+
+src_compile() {
+	local myconf
+
+	if use threads; then
+		myconf+=( THREADS=true )
+	fi
+
+	if use debug; then
+		myconf+=( DEBUGGING=true )
+	fi
+
+	if use gtk; then
+		myconf+=( UISTYLE=gtk2 )
+	else
+		myconf+=( UISTYLE=text )
+	fi
+
+	use ocamlopt || myconf+=( NATIVE=false )
+
+	if use doc; then
+		VARTEXFONTS="${T}/fonts" emake "${myconf[@]}" CFLAGS="" HEVEA=false docs
+	fi
+
+	# Discard cflags as it will try to pass them to ocamlc...
+	emake "${myconf[@]}" CFLAGS="" src
+}
+
+src_test() {
+	emake test CFLAGS=""
+}
+
+src_install() {
+	# install manually, since it's just too much
+	# work to force the Makefile to do the right thing.
+	local binname
+	cd src || die
+	for binname in unison unison-fsmonitor; do
+		newbin ${binname} ${binname}-${SLOT}
+	done
+
+	if use gtk; then
+		newicon -s scalable ../icons/U.svg ${PN}-${SLOT}.svg
+		make_desktop_entry ${PN}-${SLOT} "${PN} (${SLOT})" "${PN}-${SLOT}"
+	fi
+
+	if use doc; then
+		DOCS+=( ../doc/unison-manual.pdf )
+		HTML_DOCS=( "${DISTDIR}/${P}-manual.html" )
+	fi
+
+	einstalldocs
+}
+
+pkg_postinst() {
+	elog "Unison now uses SLOTs, so you can specify servercmd=/usr/bin/unison-${SLOT}"
+	elog "in your profile files to access exactly this version over ssh."
+	elog "Or you can use 'eselect unison' to set the version."
+	eselect unison update || die
+
+	if use gtk; then
+		xdg_icon_cache_update
+	fi
+}
+
+pkg_postrm() {
+	if use gtk; then
+		xdg_icon_cache_update
+	fi
+}


             reply	other threads:[~2022-02-22  1:41 UTC|newest]

Thread overview: 77+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-02-22  1:41 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-19 11:05 [gentoo-commits] repo/gentoo:master commit in: net-misc/unison/ Sam James
2025-02-19  7:32 Arthur Zamarin
2024-12-22 20:56 Alfredo Tupone
2024-11-14 23:40 Maciej Barć
2024-11-12 21:19 Alfredo Tupone
2024-10-18 21:19 Maciej Barć
2024-10-15 15:25 Arthur Zamarin
2024-08-01 18:28 Alfredo Tupone
2024-07-04  2:39 Maciej Barć
2024-06-21 12:32 Maciej Barć
2024-06-21  4:23 Arthur Zamarin
2024-06-21  4:23 Arthur Zamarin
2024-06-20 21:01 Maciej Barć
2024-06-20 21:01 Maciej Barć
2024-06-20 21:01 Maciej Barć
2024-01-27  9:16 Joonas Niilola
2023-01-27 22:35 Andreas Sturmlechner
2022-12-19  0:58 Sam James
2022-12-18 11:49 Sam James
2022-02-26 10:30 Florian Schmaus
2022-02-26 10:30 Florian Schmaus
2022-02-26 10:30 Florian Schmaus
2022-02-22  1:43 Sam James
2021-05-03  6:10 Alfredo Tupone
2021-04-28  6:42 Joonas Niilola
2021-04-28  6:42 Joonas Niilola
2021-04-11 11:06 Sam James
2021-03-19  7:35 Joonas Niilola
2021-03-19  7:35 Joonas Niilola
2021-03-19  7:35 Joonas Niilola
2021-03-09  9:44 Sam James
2021-03-05 19:56 Sam James
2021-03-05 19:56 Sam James
2021-01-06 15:06 Fabian Groffen
2020-12-15 10:10 Sam James
2020-12-15  4:06 Sam James
2020-12-15  4:06 Sam James
2020-11-27 16:08 Agostino Sarubbo
2020-11-27 16:04 Agostino Sarubbo
2020-11-26 23:31 Thomas Deutschmann
2020-10-29  1:49 Sam James
2020-10-27 21:11 Sam James
2020-10-22 11:38 Sam James
2020-10-22 11:38 Sam James
2020-10-20 10:37 Sam James
2020-10-20  9:12 Joonas Niilola
2020-10-20  9:12 Joonas Niilola
2020-10-20  8:22 Sam James
2020-10-20  6:53 Sam James
2020-10-20  6:53 Sam James
2020-10-20  3:09 Sam James
2020-10-20  3:09 Sam James
2020-10-19  2:54 Sam James
2020-10-19  2:54 Sam James
2020-10-17  8:53 Sam James
2020-10-17  8:44 Sam James
2020-10-17  8:43 Sam James
2020-10-17  8:33 Sam James
2020-10-17  8:32 Sam James
2020-10-17  8:32 Sam James
2020-10-17  8:32 Sam James
2019-12-20 22:49 Ulrich Müller
2019-12-13 15:06 Ulrich Müller
2019-12-12 16:46 Michał Górny
2019-11-20 15:40 Agostino Sarubbo
2019-11-20 13:21 Agostino Sarubbo
2019-11-20 11:27 Agostino Sarubbo
2019-07-05 20:17 Michał Górny
2018-08-27 18:48 Virgil Dupras
2018-01-13  3:42 Benda XU
2017-12-14  9:55 Jason Zaman
2017-12-01 12:27 Benda XU
2017-10-09 23:28 Thomas Deutschmann
2017-04-12  2:15 Benda XU
2016-10-09  3:37 Benda XU
2016-10-02  2:19 Benda XU

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1645494019.916d5d52de676833b5006e68a5d00b3dccb1f8c0.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox